%define libxext %mklibname xext 6
Name: libxext
Summary: X11 miscellaneous extension library
Epoch: 1
Version: 1.0.5
%define subrel 2
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXext-%{version}.tar.bz2
Patch0: xallocid-must-only-be-called-with-display-lock-held.patch
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxdmcp-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 7.4-24
BuildRequires: x11-util-macros >= 1.0.1

%description
Misc X Extension Library

#-----------------------------------------------------------

%package -n %{libxext}
Summary: X11 miscellaneous extension library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxext}
LibXext provides an X Window System client interface to several extensions to
the X protocol. 
The supported protocol extensions are: 
- DOUBLE-BUFFER (DBE), the Double Buffer extension;
- DPMS, the VESA Display Power Management System extension;
- Extended-Visual-Information (EVI), an extension for gathering extra
  information about the X server's visuals;
- LBX, the Low Bandwidth X extension;
- MIT-SHM, the MIT X client/server shared memory extension;
- MIT-SUNDRY-NONSTANDARD, a miscellaneous extension by MIT;
- Multi-Buffering, the multi-buffering and stereo display extension;
- SECURITY, the X security extension;
- SHAPE, the non-rectangular shaped window extension;
- SYNC, the X synchronization extension;
- TOG-CUP, the Open Group's Colormap Utilization extension;
- XC-APPGROUP, the X Consortium's Application Group extension;
- XC-MISC, the X Consortium's resource ID querying extension;
- XTEST, the X test extension (this is one of two client-side implementations;
  the other is in the libXtst library, provided by the libxtst6 package);

LibXext also provides a small set of utility functions to aid authors of client
APIs for X protocol extensions.

#-----------------------------------------------------------

%package -n %{libxext}-devel
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxext} = %{epoch}:%{version}
Requires: x11-proto-devel >= 7.4-24
Provides: libxext-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0
Conflicts: x11-proto-devel < 7.4-21

%description -n %{libxext}-devel
Development files for %{name}

%files -n %{libxext}-devel
%defattr(-,root,root)
%{_libdir}/libXext.so
%{_libdir}/libXext.la
%{_libdir}/pkgconfig/xext.pc
%{_mandir}/man3/*.3*

#-----------------------------------------------------------

%package -n %{libxext}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxext}-devel = %{epoch}:%{version}
Provides: libxext-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxext}-static-devel
Static development files for %{name}

%files -n %{libxext}-static-devel
%defattr(-,root,root)
%{_libdir}/libXext.a

#-----------------------------------------------------------

%prep
%setup -q -n libXext-%{version}
%apply_patches

%build
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files -n %{libxext}
%defattr(-,root,root)
%{_libdir}/libXext.so.6
%{_libdir}/libXext.so.6.4.0




%changelog
* Wed May 12 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.5-1.2mdv2010.0
- built for updates

* Fri Apr 30 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1:1.0.5-1.1mdv2010.0
+ Revision: 541375
- Add patch that should fix bug #57555
  CCBUG: 57555

* Tue Jul 21 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:1.0.5-1mdv2010.0
+ Revision: 398286
- Revert libxext 1.0.99.3 update: it is development stuff and breaks
  x11-server 1.6.2 build, shouldn't pushed without updating x11-server
  and possibly other x11 packages to latest devel releases.

* Fri Jul 17 2009 Colin Guthrie <cguthrie@mandriva.org> 1.0.99.3-1mdv2010.0
+ Revision: 396717
- New version: 1.0.99.3

* Sun Feb 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-2mdv2009.1
+ Revision: 336167
- fix build
- update to new version 1.0.5

* Thu Nov 06 2008 Olivier Blin <oblin@mandriva.com> 1.0.4-3mdv2009.1
+ Revision: 300368
- rebuild for new xcb

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-2mdv2009.0
+ Revision: 223072
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 29 2008 Colin Guthrie <cguthrie@mandriva.org> 1.0.4-1mdv2008.1
+ Revision: 176693
- New version: 1.0.4

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-2mdv2008.1
+ Revision: 151679
- Update BuildRequires and rebuild.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2008.1
+ Revision: 129237
- kill re-definition of %%buildroot on Pixel's request
- enhanced summary
- enhanced description
- fix man pages extension


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 116298
- new version: 1.0.3
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- fixed more dependencies
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

